Skip to main content
POST
/
v2
/
scoped-ids
/
resolve
Resolve Scoped IDs
curl --request POST \
  --url https://public.api.serval.com/v2/scoped-ids/resolve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "teamId": "<string>",
  "scopedIds": [
    "<string>"
  ]
}
'
{
  "data": [
    {
      "scopedId": "<string>",
      "id": "<string>",
      "name": "<string>",
      "kind": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
teamId
string

The team to resolve the scoped ids within.

scopedIds
string[]

The scoped ids to resolve (wf_/gd_/ent_). Ids that do not resolve in the team are omitted from the response.

Response

Success

data
ResolvedScopedRef · object[]

The resolved references, one per scoped id that exists in the team.